### Class

# Shell BlurEffect

#### Description

    final class Shell.BlurEffect : Clutter.Effect
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- ClutterEffect
- ClutterActorMeta
- GInitiallyUnowned
- GObject

#### Constructors

###### shell_blur_effect_new

No description available.

#### Instance methods

###### shell_blur_effect_get_brightness

No description available.

###### shell_blur_effect_get_mode

No description available.

###### shell_blur_effect_get_radius

No description available.

###### shell_blur_effect_set_brightness

No description available.

###### shell_blur_effect_set_mode

No description available.

###### shell_blur_effect_set_radius

No description available.

##### Methods inherited from ClutterEffect (1)

###### clutter_effect_queue_repaint

Queues a repaint of the effect. The effect can detect when the ‘paint’ method is called as a result of this function because it will not have the `CLUTTER_EFFECT_PAINT_ACTOR_DIRTY` flag set. In that case the effect is free to assume that the actor has not changed its appearance since the last time it was painted so it doesn’t need to call `clutter_actor_continue_paint()` if it can draw a cached image. This is mostly intended for effects that are using a %CoglOffscreen to redirect the actor (such as %ClutterOffscreenEffect). In that case the effect can save a bit of rendering time by painting the cached texture without causing the entire actor to be painted.

##### Methods inherited from ClutterActorMeta (5)

###### clutter_actor_meta_get_actor

Retrieves a pointer to the `ClutterActor` that owns `meta`.

###### clutter_actor_meta_get_enabled

Retrieves whether `meta` is enabled.

###### clutter_actor_meta_get_name

Retrieves the name set using `clutter_actor_meta_set_name()`.

###### clutter_actor_meta_set_enabled

Sets whether `meta` should be enabled or not.

###### clutter_actor_meta_set_name

Sets the name of `meta`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Shell.BlurEffect:brightness

No description available.

###### Shell.BlurEffect:mode

No description available.

###### Shell.BlurEffect:radius

No description available.

##### Properties inherited from ClutterActorMeta (3)

###### Clutter.ActorMeta:actor

The `ClutterActor` attached to the `ClutterActorMeta` instance.

###### Clutter.ActorMeta:enabled

Whether or not the `ClutterActorMeta` is enabled.

###### Clutter.ActorMeta:name

The unique name to access the `ClutterActorMeta`.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ShellBlurEffectClass {
      ClutterEffectClass parent_class;

    }

No description available.

###### Class members

`parent_class: ClutterEffectClass`

  No description available.